#pragma once
#include "configobject.hpp"
#include <qqmlintegration.h>

namespace ZShell::config {

class Background : public ConfigObject {
	Q_OBJECT
	QML_ANONYMOUS

	CFG_PROPERTY(bool, enabled, true)
	CFG_PROPERTY(int, wallFadeDuration, 300)

	public:
	explicit Background(QObject* parent = nullptr) : ConfigObject(parent) {}
};

} // namespace ZShell::config
